KDE 4.2 PyKDE API Reference

- KDE's Python API

# KTipDialog Class Reference

`from PyKDE4.kdeui import *`

Inherits: KDialog → QDialog → QWidget → QObject

## Detailed Description

## Methods

| __init__ (self, KTipDatabase database, QWidget parent=0)
| __init__ (self, KTipDialog a0)
bool | eventFilter (self, QObject a0, QEvent a1)

## Static Methods

| setShowOnStart (bool show)
| showMultiTip (QWidget parent, QStringList tipFiles, bool force=0)
| showTip (QWidget parent, QString tipFile=QString(), bool force=0)
| showTip (QString tipFile=QString(), bool force=0)

## Method Documentation

__init__ | ( | self, |
|  | KTipDatabase | database,
|  | QWidget | parent=0
| ) |  |  |

Construct a tip dialog.

Parameters:

  | database | TipDatabase that should be used by the TipDialog.
  | parent | Parent widget of TipDialog.

__init__ | ( | self, |
|  | KTipDialog | a0
| ) |  |  |

bool eventFilter | ( | self, |
|  | QObject | a0,
|  | QEvent | a1
| ) |  |  |

setShowOnStart | ( | bool | show
| ) |  |  |

Toggles the start behavior.

Normally, the user can disable the display of the tip in the dialog. This is just a way to change this setting from outside.

showMultiTip | ( | QWidget | parent,
|  | QStringList | tipFiles,
|  | bool | force=0
| ) |  |  |

Shows a tip

This method behaves essentially as the one above, but expects a list of tips

Parameters:

  | parent | Parent widget of TipDialog.
  | tipFiles | A List of tip files. Each has be relative to the "data" resource of KStandardDirs
  | force | If true, the dialog is show, even when the users disabled it.

showTip | ( | QWidget | parent,
|  | QString | tipFile=QString(),
|  | bool | force=0
| ) |  |  |

Shows a tip.

This static method is all that is needed to add a tip-of-the-day dialog to an application. It will pop up the dialog, unless the user has asked that the dialog does not pop up on startup.

Note that you probably want an item in the help menu calling this method with force=true.

Parameters:

  | parent | Parent widget of TipDialog.
  | tipFile | The name of the tip file. It has be relative to the "data" resource of KStandardDirs
  | force | If true, the dialog is show, even when the users disabled it.

showTip | ( | QString | tipFile=QString(),
|  | bool | force=0
| ) |  |  |

Shows a tip.

This methods calls showTip() with the applications main window as parent.